/*
 * Copyright 2020 The Matrix.org Foundation C.I.C.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.matrix.android.sdk.internal.session.identity.model

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
internal data class IdentityRequestOwnershipParams(
        /**
         * Required. The client secret that was supplied to the requestToken call.
         */
        @Json(name = "client_secret")
        val clientSecret: String,

        /**
         * Required. The session ID, generated by the requestToken call.
         */
        @Json(name = "sid")
        val sid: String,

        /**
         * Required. The token generated by the requestToken call and sent to the user.
         */
        @Json(name = "token")
        val token: String
)
