/*
 * Copyright 2020 The Matrix.org Foundation C.I.C.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.matrix.android.sdk.internal.session.search.response

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import org.matrix.android.sdk.api.session.events.model.Event

@JsonClass(generateAdapter = true)
internal data class SearchResponseItem(
        /**
         *  A number that describes how closely this result matches the search. Higher is closer.
         */
        @Json(name = "rank")
        val rank: Double? = null,

        /**
         * The event that matched.
         */
        @Json(name = "result")
        val event: Event,

        /**
         * Context for result, if requested.
         */
        @Json(name = "context")
        val context: SearchResponseEventContext? = null
)
